summaryrefslogtreecommitdiffstats
path: root/contrib/ipfilter/test/ptest
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/ipfilter/test/ptest')
-rw-r--r--contrib/ipfilter/test/ptest47
1 files changed, 20 insertions, 27 deletions
diff --git a/contrib/ipfilter/test/ptest b/contrib/ipfilter/test/ptest
index 7deccd3..87daacc 100644
--- a/contrib/ipfilter/test/ptest
+++ b/contrib/ipfilter/test/ptest
@@ -1,31 +1,24 @@
#!/bin/sh
-mkdir -p results
-if [ -f /usr/ucb/touch ] ; then
- TOUCH=/usr/ucb/touch
+name=$1
+
+. ./ipflib.sh
+
+test_init
+
+echo "$name...";
+/bin/cp /dev/null results/$name
+if [ -f regress/$name.pool -a -f regress/$name.ipf ] ; then
+ ../ipftest -RD -b -P regress/$name.pool -r regress/$name.ipf -i input/$name >> \
+ results/$name &
+elif [ -f regress/$name.pool -a -f regress/$name.nat ] ; then
+ ../ipftest -RD -b -P regress/$name.pool -N regress/$name.nat -i input/$name >> \
+ results/$name &
else
- if [ -f /usr/bin/touch ] ; then
- TOUCH=/usr/bin/touch
- else
- if [ -f /bin/touch ] ; then
- TOUCH=/bin/touch
- fi
- fi
-fi
-echo "$1...";
-/bin/cp /dev/null results/$1
-if [ -f regress/$1.pool ] ; then
- ../ipftest -RD -b -P regress/$1.pool -r regress/$1.ipf -i input/$1 >> \
- results/$1
-else
- ../ipftest -RD -b -r regress/$1.ipf -i input/$1 >> results/$1
-fi
-if [ $? -ne 0 ] ; then
- exit 1;
-fi
-echo "-------------------------------" >> results/$1
-cmp expected/$1 results/$1
-status=$?
-if [ $status = 0 ] ; then
- $TOUCH $1
+ ../ipftest -RD -b -r regress/$name.ipf -i input/$name >> results/$name &
fi
+back=$!
+wait $back
+test_end_leak $?
+echo "-------------------------------" >> results/$name
+check_results $name
exit $status
OpenPOWER on IntegriCloud